Bug 201491 - Review Request: perl-Module-Starter
Summary: Review Request: perl-Module-Starter
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Module-St...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 201493
TreeView+ depends on / blocked
 
Reported: 2006-08-06 07:52 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 14:38:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Weyl 2006-08-06 07:52:58 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Module-Starter-1.42-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Module-Starter.spec

Description:
This is a CPAN module/utility to assist in the creation of new modules in a
sensible and sane fashion.  Unless you're interested in extending the
functionality of this module, you should examine the documentation for
'module-starter', for information on how to use this tool.

It is noted that there are a number of extensions to this tool, including
plugins to create modules using templates as recommended by Damian Conway's
"Perl Best Practices" (O'Reilly, 2005).  (See also the package
perl-Module-Starter-PBP for the aformentioned templates.)

Comment 1 Patrice Dumas 2006-08-06 20:46:08 UTC
blocker:
For the tests, needed buildrequires:
Test::Pod::Coverage >= 1.04, Test::Pod >= 1.14

remark:
instead of 
%{_bindir}/*
you could have
%{_bindir}/module-starter
such that you notice if a new binary is distributed in later versions.

Otherwise:
* rpmlint is silent
* package named according to guidelines
* free software, licences not included
* meets packaging guidelines
* spec legible
* source match upstream
baf4a379d93c3a49c90a889626783d88  Module-Starter-1.42.tar.gz
* sane provides
perl(Module::Starter) = 1.42 perl(Module::Starter::Plugin::Template) = 0.02
perl(Module::Starter::Simple) = 1.42
* %files right

I'll approve if you fix (or explain) the BuildRequires.

Comment 2 Chris Weyl 2006-08-07 01:14:32 UTC
Added additional buildrequires for tests:

SRPM URL: http://home.comcast.net/~ckweyl/perl-Module-Starter-1.42-2.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Module-Starter.spec

Comment 3 Patrice Dumas 2006-08-07 08:27:40 UTC
APPROVED

Comment 4 Chris Weyl 2006-08-07 14:38:14 UTC
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.